/* Copyright (C) 2012-13 MINHAP, Gobierno de España
   This program is licensed and may be used, modified and redistributed under the terms
   of the European Public License (EUPL), either version 1.1 or (at your
   option) any later version as soon as they are approved by the European Commission.
   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
   or implied. See the License for the specific language governing permissions and
   more details.
   You should have received a copy of the EUPL1.1 license
   along with this program; if not, you may find it at
   http://joinup.ec.europa.eu/software/page/eupl/licence-eupl */


package es.mpt.dsic.inside.xml.inside.ws.expediente.conversion;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the es.mpt.dsic.inside.xml.inside.ws.expediente.conversion package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _ExpedienteConversionwsMtom_QNAME = new QName("https://ssweb.seap.minhap.es/Inside/XSD/v1.0/expediente-e/conversion", "expedienteConversionwsMtom");
    private final static QName _ExpedienteConversionws_QNAME = new QName("https://ssweb.seap.minhap.es/Inside/XSD/v1.0/expediente-e/conversion", "expedienteConversionws");
    private final static QName _ExpedienteConversion_QNAME = new QName("https://ssweb.seap.minhap.es/Inside/XSD/v1.0/expediente-e/conversion", "expedienteConversion");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: es.mpt.dsic.inside.xml.inside.ws.expediente.conversion
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link TipoIndiceConversion }
     * 
     */
    public TipoIndiceConversion createTipoIndiceConversion() {
        return new TipoIndiceConversion();
    }

    /**
     * Create an instance of {@link TipoExpedienteConversionInsideWS.MetadatosEni }
     * 
     */
    public TipoExpedienteConversionInsideWS.MetadatosEni createTipoExpedienteConversionInsideWSMetadatosEni() {
        return new TipoExpedienteConversionInsideWS.MetadatosEni();
    }

    /**
     * Create an instance of {@link TipoExpedienteConversionInsideWS }
     * 
     */
    public TipoExpedienteConversionInsideWS createTipoExpedienteConversionInsideWS() {
        return new TipoExpedienteConversionInsideWS();
    }

    /**
     * Create an instance of {@link TipoOpcionesVisualizacionIndiceWS.FilasNombreOrganismo }
     * 
     */
    public TipoOpcionesVisualizacionIndiceWS.FilasNombreOrganismo createTipoOpcionesVisualizacionIndiceWSFilasNombreOrganismo() {
        return new TipoOpcionesVisualizacionIndiceWS.FilasNombreOrganismo();
    }

    /**
     * Create an instance of {@link TipoExpedienteConversionInsideWS.MetadatosEni.Estado }
     * 
     */
    public TipoExpedienteConversionInsideWS.MetadatosEni.Estado createTipoExpedienteConversionInsideWSMetadatosEniEstado() {
        return new TipoExpedienteConversionInsideWS.MetadatosEni.Estado();
    }

    /**
     * Create an instance of {@link TipoExpedienteConversionInsideWSMtom.MetadatosEni.Estado }
     * 
     */
    public TipoExpedienteConversionInsideWSMtom.MetadatosEni.Estado createTipoExpedienteConversionInsideWSMtomMetadatosEniEstado() {
        return new TipoExpedienteConversionInsideWSMtom.MetadatosEni.Estado();
    }

    /**
     * Create an instance of {@link TipoExpedienteConversionInsideWSMtom }
     * 
     */
    public TipoExpedienteConversionInsideWSMtom createTipoExpedienteConversionInsideWSMtom() {
        return new TipoExpedienteConversionInsideWSMtom();
    }

    /**
     * Create an instance of {@link TipoOpcionesVisualizacionIndice.FilasNombreOrganismo }
     * 
     */
    public TipoOpcionesVisualizacionIndice.FilasNombreOrganismo createTipoOpcionesVisualizacionIndiceFilasNombreOrganismo() {
        return new TipoOpcionesVisualizacionIndice.FilasNombreOrganismo();
    }

    /**
     * Create an instance of {@link TipoDocumentoIndizadoConversionWSMtom }
     * 
     */
    public TipoDocumentoIndizadoConversionWSMtom createTipoDocumentoIndizadoConversionWSMtom() {
        return new TipoDocumentoIndizadoConversionWSMtom();
    }

    /**
     * Create an instance of {@link TipoExpedienteConversionInsideWSMtom.MetadatosEni }
     * 
     */
    public TipoExpedienteConversionInsideWSMtom.MetadatosEni createTipoExpedienteConversionInsideWSMtomMetadatosEni() {
        return new TipoExpedienteConversionInsideWSMtom.MetadatosEni();
    }

    /**
     * Create an instance of {@link TipoOpcionesVisualizacionIndiceWS }
     * 
     */
    public TipoOpcionesVisualizacionIndiceWS createTipoOpcionesVisualizacionIndiceWS() {
        return new TipoOpcionesVisualizacionIndiceWS();
    }

    /**
     * Create an instance of {@link TipoIndiceConversionWSMtom }
     * 
     */
    public TipoIndiceConversionWSMtom createTipoIndiceConversionWSMtom() {
        return new TipoIndiceConversionWSMtom();
    }

    /**
     * Create an instance of {@link TipoExpedienteConversionInside.MetadatosEni }
     * 
     */
    public TipoExpedienteConversionInside.MetadatosEni createTipoExpedienteConversionInsideMetadatosEni() {
        return new TipoExpedienteConversionInside.MetadatosEni();
    }

    /**
     * Create an instance of {@link TipoOpcionesVisualizacionIndice }
     * 
     */
    public TipoOpcionesVisualizacionIndice createTipoOpcionesVisualizacionIndice() {
        return new TipoOpcionesVisualizacionIndice();
    }

    /**
     * Create an instance of {@link TipoCarpetaIndizadaConversion }
     * 
     */
    public TipoCarpetaIndizadaConversion createTipoCarpetaIndizadaConversion() {
        return new TipoCarpetaIndizadaConversion();
    }

    /**
     * Create an instance of {@link TipoDocumentoIndizadoConversion }
     * 
     */
    public TipoDocumentoIndizadoConversion createTipoDocumentoIndizadoConversion() {
        return new TipoDocumentoIndizadoConversion();
    }

    /**
     * Create an instance of {@link TipoCarpetaIndizadaConversionWSMtom }
     * 
     */
    public TipoCarpetaIndizadaConversionWSMtom createTipoCarpetaIndizadaConversionWSMtom() {
        return new TipoCarpetaIndizadaConversionWSMtom();
    }

    /**
     * Create an instance of {@link TipoDocumentoIndizadoConversionWS }
     * 
     */
    public TipoDocumentoIndizadoConversionWS createTipoDocumentoIndizadoConversionWS() {
        return new TipoDocumentoIndizadoConversionWS();
    }

    /**
     * Create an instance of {@link TipoExpedienteConversionInside }
     * 
     */
    public TipoExpedienteConversionInside createTipoExpedienteConversionInside() {
        return new TipoExpedienteConversionInside();
    }

    /**
     * Create an instance of {@link TipoIndiceConversionWS }
     * 
     */
    public TipoIndiceConversionWS createTipoIndiceConversionWS() {
        return new TipoIndiceConversionWS();
    }

    /**
     * Create an instance of {@link TipoCarpetaIndizadaConversionWS }
     * 
     */
    public TipoCarpetaIndizadaConversionWS createTipoCarpetaIndizadaConversionWS() {
        return new TipoCarpetaIndizadaConversionWS();
    }

    /**
     * Create an instance of {@link TipoExpedienteConversionInside.MetadatosEni.Estado }
     * 
     */
    public TipoExpedienteConversionInside.MetadatosEni.Estado createTipoExpedienteConversionInsideMetadatosEniEstado() {
        return new TipoExpedienteConversionInside.MetadatosEni.Estado();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TipoExpedienteConversionInsideWSMtom }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "https://ssweb.seap.minhap.es/Inside/XSD/v1.0/expediente-e/conversion", name = "expedienteConversionwsMtom")
    public JAXBElement<TipoExpedienteConversionInsideWSMtom> createExpedienteConversionwsMtom(TipoExpedienteConversionInsideWSMtom value) {
        return new JAXBElement<TipoExpedienteConversionInsideWSMtom>(_ExpedienteConversionwsMtom_QNAME, TipoExpedienteConversionInsideWSMtom.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TipoExpedienteConversionInsideWS }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "https://ssweb.seap.minhap.es/Inside/XSD/v1.0/expediente-e/conversion", name = "expedienteConversionws")
    public JAXBElement<TipoExpedienteConversionInsideWS> createExpedienteConversionws(TipoExpedienteConversionInsideWS value) {
        return new JAXBElement<TipoExpedienteConversionInsideWS>(_ExpedienteConversionws_QNAME, TipoExpedienteConversionInsideWS.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TipoExpedienteConversionInside }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "https://ssweb.seap.minhap.es/Inside/XSD/v1.0/expediente-e/conversion", name = "expedienteConversion")
    public JAXBElement<TipoExpedienteConversionInside> createExpedienteConversion(TipoExpedienteConversionInside value) {
        return new JAXBElement<TipoExpedienteConversionInside>(_ExpedienteConversion_QNAME, TipoExpedienteConversionInside.class, null, value);
    }

}
