/* Copyright (C) 2012-13 MINHAP, Gobierno de España
   This program is licensed and may be used, modified and redistributed under the terms
   of the European Public License (EUPL), either version 1.1 or (at your
   option) any later version as soon as they are approved by the European Commission.
   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
   or implied. See the License for the specific language governing permissions and
   more details.
   You should have received a copy of the EUPL1.1 license
   along with this program; if not, you may find it at
   http://joinup.ec.europa.eu/software/page/eupl/licence-eupl */


package es.mpt.dsic.inside.xml.inside.ws.remisionEnLaNube;

import javax.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the es.mpt.dsic.inside.xml.inside.ws.remisionEnLaNube package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: es.mpt.dsic.inside.xml.inside.ws.remisionEnLaNube
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link PeticionSolicitarAccesoExpedienteType }
     * 
     */
    public PeticionSolicitarAccesoExpedienteType createPeticionSolicitarAccesoExpedienteType() {
        return new PeticionSolicitarAccesoExpedienteType();
    }

    /**
     * Create an instance of {@link PeticionAccesoIndiceExpedienteType }
     * 
     */
    public PeticionAccesoIndiceExpedienteType createPeticionAccesoIndiceExpedienteType() {
        return new PeticionAccesoIndiceExpedienteType();
    }

    /**
     * Create an instance of {@link PeticionComunicacionResultadoEnvioMJUType }
     * 
     */
    public PeticionComunicacionResultadoEnvioMJUType createPeticionComunicacionResultadoEnvioMJUType() {
        return new PeticionComunicacionResultadoEnvioMJUType();
    }

    /**
     * Create an instance of {@link RespuestaAccesoDocumentoExpedienteType }
     * 
     */
    public RespuestaAccesoDocumentoExpedienteType createRespuestaAccesoDocumentoExpedienteType() {
        return new RespuestaAccesoDocumentoExpedienteType();
    }

    /**
     * Create an instance of {@link RespuestaSolicitarAccesoExpedienteType }
     * 
     */
    public RespuestaSolicitarAccesoExpedienteType createRespuestaSolicitarAccesoExpedienteType() {
        return new RespuestaSolicitarAccesoExpedienteType();
    }

    /**
     * Create an instance of {@link PeticionInformarAccesoExpedienteType }
     * 
     */
    public PeticionInformarAccesoExpedienteType createPeticionInformarAccesoExpedienteType() {
        return new PeticionInformarAccesoExpedienteType();
    }

    /**
     * Create an instance of {@link StringTokenType }
     * 
     */
    public StringTokenType createStringTokenType() {
        return new StringTokenType();
    }

    /**
     * Create an instance of {@link ParametrosRemision }
     * 
     */
    public ParametrosRemision createParametrosRemision() {
        return new ParametrosRemision();
    }

    /**
     * Create an instance of {@link RespuestaComunicacionResultadoEnvioMJUType }
     * 
     */
    public RespuestaComunicacionResultadoEnvioMJUType createRespuestaComunicacionResultadoEnvioMJUType() {
        return new RespuestaComunicacionResultadoEnvioMJUType();
    }

    /**
     * Create an instance of {@link RespuestaAccesoIndiceExpedienteType }
     * 
     */
    public RespuestaAccesoIndiceExpedienteType createRespuestaAccesoIndiceExpedienteType() {
        return new RespuestaAccesoIndiceExpedienteType();
    }

    /**
     * Create an instance of {@link PeticionComunicacionTokenExpedienteType }
     * 
     */
    public PeticionComunicacionTokenExpedienteType createPeticionComunicacionTokenExpedienteType() {
        return new PeticionComunicacionTokenExpedienteType();
    }

    /**
     * Create an instance of {@link PeticionRemisionAJusticiaType }
     * 
     */
    public PeticionRemisionAJusticiaType createPeticionRemisionAJusticiaType() {
        return new PeticionRemisionAJusticiaType();
    }

    /**
     * Create an instance of {@link PeticionAccesoDocumentoExpedienteType }
     * 
     */
    public PeticionAccesoDocumentoExpedienteType createPeticionAccesoDocumentoExpedienteType() {
        return new PeticionAccesoDocumentoExpedienteType();
    }

    /**
     * Create an instance of {@link RespuestaRemisionAJusticiaType }
     * 
     */
    public RespuestaRemisionAJusticiaType createRespuestaRemisionAJusticiaType() {
        return new RespuestaRemisionAJusticiaType();
    }

    /**
     * Create an instance of {@link RespuestaType }
     * 
     */
    public RespuestaType createRespuestaType() {
        return new RespuestaType();
    }

    /**
     * Create an instance of {@link PeticionType }
     * 
     */
    public PeticionType createPeticionType() {
        return new PeticionType();
    }

    /**
     * Create an instance of {@link RespuestaInformarAccesoExpedienteType }
     * 
     */
    public RespuestaInformarAccesoExpedienteType createRespuestaInformarAccesoExpedienteType() {
        return new RespuestaInformarAccesoExpedienteType();
    }

    /**
     * Create an instance of {@link DatosRemisionJusticiaType }
     * 
     */
    public DatosRemisionJusticiaType createDatosRemisionJusticiaType() {
        return new DatosRemisionJusticiaType();
    }

    /**
     * Create an instance of {@link ConsultaPeticionRemisionType }
     * 
     */
    public ConsultaPeticionRemisionType createConsultaPeticionRemisionType() {
        return new ConsultaPeticionRemisionType();
    }

    /**
     * Create an instance of {@link RespuestaComunicacionTokenExpedienteType }
     * 
     */
    public RespuestaComunicacionTokenExpedienteType createRespuestaComunicacionTokenExpedienteType() {
        return new RespuestaComunicacionTokenExpedienteType();
    }

}
