/* Copyright (C) 2012-13 MINHAP, Gobierno de España
   This program is licensed and may be used, modified and redistributed under the terms
   of the European Public License (EUPL), either version 1.1 or (at your
   option) any later version as soon as they are approved by the European Commission.
   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
   or implied. See the License for the specific language governing permissions and
   more details.
   You should have received a copy of the EUPL1.1 license
   along with this program; if not, you may find it at
   http://joinup.ec.europa.eu/software/page/eupl/licence-eupl */


package es.mpt.dsic.inside.xml.inside.ws.remisionExpedienteCallback;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for estadoEnvioType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="estadoEnvioType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;maxLength value="20"/>
 *     &lt;enumeration value="ANULADO"/>
 *     &lt;enumeration value="PENDIENTE"/>
 *     &lt;enumeration value="PROCESANDO"/>
 *     &lt;enumeration value="ENVIADO"/>
 *     &lt;enumeration value="RECHAZADO"/>
 *     &lt;enumeration value="ANULADO_REMISOR"/>
 *     &lt;enumeration value="TRADICIONALES"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "estadoEnvioType")
@XmlEnum
public enum EstadoEnvioType {

    ANULADO,
    PENDIENTE,
    PROCESANDO,
    ENVIADO,
    RECHAZADO,
    ANULADO_REMISOR,
    TRADICIONALES;

    public String value() {
        return name();
    }

    public static EstadoEnvioType fromValue(String v) {
        return valueOf(v);
    }

}
