/* Copyright (C) 2012-13 MINHAP, Gobierno de España
   This program is licensed and may be used, modified and redistributed under the terms
   of the European Public License (EUPL), either version 1.1 or (at your
   option) any later version as soon as they are approved by the European Commission.
   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
   or implied. See the License for the specific language governing permissions and
   more details.
   You should have received a copy of the EUPL1.1 license
   along with this program; if not, you may find it at
   http://joinup.ec.europa.eu/software/page/eupl/licence-eupl */


package es.mpt.dsic.inside.service.sia.model.messages.enviasia;

import javax.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the es.map.sgca.consultar.messages.enviasia package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: es.map.sgca.consultar.messages.enviasia
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link EnviaSIA }
     * 
     */
    public EnviaSIA createEnviaSIA() {
        return new EnviaSIA();
    }

    /**
     * Create an instance of {@link EnviaSIA.ACTUACIONES }
     * 
     */
    public EnviaSIA.ACTUACIONES createEnviaSIAACTUACIONES() {
        return new EnviaSIA.ACTUACIONES();
    }

    /**
     * Create an instance of {@link EnviaSIA.ACTUACIONES.ACTUACION }
     * 
     */
    public EnviaSIA.ACTUACIONES.ACTUACION createEnviaSIAACTUACIONESACTUACION() {
        return new EnviaSIA.ACTUACIONES.ACTUACION();
    }

    /**
     * Create an instance of {@link EnviaSIA.ACTUACIONES.ACTUACION.CATALOGACIONES }
     * 
     */
    public EnviaSIA.ACTUACIONES.ACTUACION.CATALOGACIONES createEnviaSIAACTUACIONESACTUACIONCATALOGACIONES() {
        return new EnviaSIA.ACTUACIONES.ACTUACION.CATALOGACIONES();
    }

    /**
     * Create an instance of {@link EnviaSIA.ACTUACIONES.ACTUACION.VOLTRAMITACIONES }
     * 
     */
    public EnviaSIA.ACTUACIONES.ACTUACION.VOLTRAMITACIONES createEnviaSIAACTUACIONESACTUACIONVOLTRAMITACIONES() {
        return new EnviaSIA.ACTUACIONES.ACTUACION.VOLTRAMITACIONES();
    }

    /**
     * Create an instance of {@link EnviaSIA.ACTUACIONES.ACTUACION.SISTEMASIDENTIFICACION }
     * 
     */
    public EnviaSIA.ACTUACIONES.ACTUACION.SISTEMASIDENTIFICACION createEnviaSIAACTUACIONESACTUACIONSISTEMASIDENTIFICACION() {
        return new EnviaSIA.ACTUACIONES.ACTUACION.SISTEMASIDENTIFICACION();
    }

    /**
     * Create an instance of {@link EnviaSIA.ACTUACIONES.ACTUACION.AQUIENESVADIRIGIDO }
     * 
     */
    public EnviaSIA.ACTUACIONES.ACTUACION.AQUIENESVADIRIGIDO createEnviaSIAACTUACIONESACTUACIONAQUIENESVADIRIGIDO() {
        return new EnviaSIA.ACTUACIONES.ACTUACION.AQUIENESVADIRIGIDO();
    }

    /**
     * Create an instance of {@link EnviaSIA.ACTUACIONES.ACTUACION.AMBITOSGEOGRAFICOS }
     * 
     */
    public EnviaSIA.ACTUACIONES.ACTUACION.AMBITOSGEOGRAFICOS createEnviaSIAACTUACIONESACTUACIONAMBITOSGEOGRAFICOS() {
        return new EnviaSIA.ACTUACIONES.ACTUACION.AMBITOSGEOGRAFICOS();
    }

    /**
     * Create an instance of {@link EnviaSIA.ACTUACIONES.ACTUACION.TIPOSACTUACION }
     * 
     */
    public EnviaSIA.ACTUACIONES.ACTUACION.TIPOSACTUACION createEnviaSIAACTUACIONESACTUACIONTIPOSACTUACION() {
        return new EnviaSIA.ACTUACIONES.ACTUACION.TIPOSACTUACION();
    }

    /**
     * Create an instance of {@link EnviaSIA.ERROR }
     * 
     */
    public EnviaSIA.ERROR createEnviaSIAERROR() {
        return new EnviaSIA.ERROR();
    }

    /**
     * Create an instance of {@link EnviaSIA.ACTUACIONES.ACTUACION.ORGANISMORESPONSABLE }
     * 
     */
    public EnviaSIA.ACTUACIONES.ACTUACION.ORGANISMORESPONSABLE createEnviaSIAACTUACIONESACTUACIONORGANISMORESPONSABLE() {
        return new EnviaSIA.ACTUACIONES.ACTUACION.ORGANISMORESPONSABLE();
    }

    /**
     * Create an instance of {@link EnviaSIA.ACTUACIONES.ACTUACION.CATALOGACIONES.CATALOGACION }
     * 
     */
    public EnviaSIA.ACTUACIONES.ACTUACION.CATALOGACIONES.CATALOGACION createEnviaSIAACTUACIONESACTUACIONCATALOGACIONESCATALOGACION() {
        return new EnviaSIA.ACTUACIONES.ACTUACION.CATALOGACIONES.CATALOGACION();
    }

    /**
     * Create an instance of {@link EnviaSIA.ACTUACIONES.ACTUACION.VOLTRAMITACIONES.VOLTRAMITACION }
     * 
     */
    public EnviaSIA.ACTUACIONES.ACTUACION.VOLTRAMITACIONES.VOLTRAMITACION createEnviaSIAACTUACIONESACTUACIONVOLTRAMITACIONESVOLTRAMITACION() {
        return new EnviaSIA.ACTUACIONES.ACTUACION.VOLTRAMITACIONES.VOLTRAMITACION();
    }

    /**
     * Create an instance of {@link EnviaSIA.ACTUACIONES.ACTUACION.SISTEMASIDENTIFICACION.SISTEMAIDENTIFICACION }
     * 
     */
    public EnviaSIA.ACTUACIONES.ACTUACION.SISTEMASIDENTIFICACION.SISTEMAIDENTIFICACION createEnviaSIAACTUACIONESACTUACIONSISTEMASIDENTIFICACIONSISTEMAIDENTIFICACION() {
        return new EnviaSIA.ACTUACIONES.ACTUACION.SISTEMASIDENTIFICACION.SISTEMAIDENTIFICACION();
    }

    /**
     * Create an instance of {@link EnviaSIA.ACTUACIONES.ACTUACION.AQUIENESVADIRIGIDO.AQUIENVADIRIGIDO }
     * 
     */
    public EnviaSIA.ACTUACIONES.ACTUACION.AQUIENESVADIRIGIDO.AQUIENVADIRIGIDO createEnviaSIAACTUACIONESACTUACIONAQUIENESVADIRIGIDOAQUIENVADIRIGIDO() {
        return new EnviaSIA.ACTUACIONES.ACTUACION.AQUIENESVADIRIGIDO.AQUIENVADIRIGIDO();
    }

    /**
     * Create an instance of {@link EnviaSIA.ACTUACIONES.ACTUACION.AMBITOSGEOGRAFICOS.AMBITOGEOGRAFICO }
     * 
     */
    public EnviaSIA.ACTUACIONES.ACTUACION.AMBITOSGEOGRAFICOS.AMBITOGEOGRAFICO createEnviaSIAACTUACIONESACTUACIONAMBITOSGEOGRAFICOSAMBITOGEOGRAFICO() {
        return new EnviaSIA.ACTUACIONES.ACTUACION.AMBITOSGEOGRAFICOS.AMBITOGEOGRAFICO();
    }

    /**
     * Create an instance of {@link EnviaSIA.ACTUACIONES.ACTUACION.TIPOSACTUACION.TIPOACTUACION }
     * 
     */
    public EnviaSIA.ACTUACIONES.ACTUACION.TIPOSACTUACION.TIPOACTUACION createEnviaSIAACTUACIONESACTUACIONTIPOSACTUACIONTIPOACTUACION() {
        return new EnviaSIA.ACTUACIONES.ACTUACION.TIPOSACTUACION.TIPOACTUACION();
    }

}
