/* Copyright (C) 2012-13 MINHAP, Gobierno de España
   This program is licensed and may be used, modified and redistributed under the terms
   of the European Public License (EUPL), either version 1.1 or (at your
   option) any later version as soon as they are approved by the European Commission.
   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
   or implied. See the License for the specific language governing permissions and
   more details.
   You should have received a copy of the EUPL1.1 license
   along with this program; if not, you may find it at
   http://joinup.ec.europa.eu/software/page/eupl/licence-eupl */


package es.mpt.dsic.inside.service.sia.model.messages.v2_4.enviasia;

import javax.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the es.map.sgca.consultar.messages.v2_4.enviasia package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: es.map.sgca.consultar.messages.v2_4.enviasia
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link EnviaSIA }
     * 
     */
    public EnviaSIA createEnviaSIA() {
        return new EnviaSIA();
    }

    /**
     * Create an instance of {@link DESTINATARIOS }
     * 
     */
    public DESTINATARIOS createDESTINATARIOS() {
        return new DESTINATARIOS();
    }

    /**
     * Create an instance of {@link NORMATIVAS }
     * 
     */
    public NORMATIVAS createNORMATIVAS() {
        return new NORMATIVAS();
    }

    /**
     * Create an instance of {@link INICIOS }
     * 
     */
    public INICIOS createINICIOS() {
        return new INICIOS();
    }

    /**
     * Create an instance of {@link TEMATICAS }
     * 
     */
    public TEMATICAS createTEMATICAS() {
        return new TEMATICAS();
    }

    /**
     * Create an instance of {@link DOCUMENTOSCATALOGO }
     * 
     */
    public DOCUMENTOSCATALOGO createDOCUMENTOSCATALOGO() {
        return new DOCUMENTOSCATALOGO();
    }

    /**
     * Create an instance of {@link PERFILES }
     * 
     */
    public PERFILES createPERFILES() {
        return new PERFILES();
    }

    /**
     * Create an instance of {@link SISTEMASIDENTIFICACION }
     * 
     */
    public SISTEMASIDENTIFICACION createSISTEMASIDENTIFICACION() {
        return new SISTEMASIDENTIFICACION();
    }

    /**
     * Create an instance of {@link VOLUMENESTRAMITACIONES }
     * 
     */
    public VOLUMENESTRAMITACIONES createVOLUMENESTRAMITACIONES() {
        return new VOLUMENESTRAMITACIONES();
    }

    /**
     * Create an instance of {@link TRAMITESRELACIONADOS }
     * 
     */
    public TRAMITESRELACIONADOS createTRAMITESRELACIONADOS() {
        return new TRAMITESRELACIONADOS();
    }

    /**
     * Create an instance of {@link MULTILINGUISMOS }
     * 
     */
    public MULTILINGUISMOS createMULTILINGUISMOS() {
        return new MULTILINGUISMOS();
    }

    /**
     * Create an instance of {@link REDUCCIONES }
     * 
     */
    public REDUCCIONES createREDUCCIONES() {
        return new REDUCCIONES();
    }

    /**
     * Create an instance of {@link PRESTACIONES }
     * 
     */
    public PRESTACIONES createPRESTACIONES() {
        return new PRESTACIONES();
    }

    /**
     * Create an instance of {@link EnviaSIA.ACTUACIONES }
     * 
     */
    public EnviaSIA.ACTUACIONES createEnviaSIAACTUACIONES() {
        return new EnviaSIA.ACTUACIONES();
    }

    /**
     * Create an instance of {@link EnviaSIA.ERROR }
     * 
     */
    public EnviaSIA.ERROR createEnviaSIAERROR() {
        return new EnviaSIA.ERROR();
    }

    /**
     * Create an instance of {@link ORGANISMORESPONSABLE }
     * 
     */
    public ORGANISMORESPONSABLE createORGANISMORESPONSABLE() {
        return new ORGANISMORESPONSABLE();
    }

    /**
     * Create an instance of {@link TIPOTRAMITE }
     * 
     */
    public TIPOTRAMITE createTIPOTRAMITE() {
        return new TIPOTRAMITE();
    }

    /**
     * Create an instance of {@link LUGARPRESENTACION }
     * 
     */
    public LUGARPRESENTACION createLUGARPRESENTACION() {
        return new LUGARPRESENTACION();
    }

    /**
     * Create an instance of {@link PLAZORESOLUCION }
     * 
     */
    public PLAZORESOLUCION createPLAZORESOLUCION() {
        return new PLAZORESOLUCION();
    }

    /**
     * Create an instance of {@link DESTINATARIOS.DESTINATARIO }
     * 
     */
    public DESTINATARIOS.DESTINATARIO createDESTINATARIOSDESTINATARIO() {
        return new DESTINATARIOS.DESTINATARIO();
    }

    /**
     * Create an instance of {@link NORMATIVAS.NORMATIVA }
     * 
     */
    public NORMATIVAS.NORMATIVA createNORMATIVASNORMATIVA() {
        return new NORMATIVAS.NORMATIVA();
    }

    /**
     * Create an instance of {@link INICIOS.INICIO }
     * 
     */
    public INICIOS.INICIO createINICIOSINICIO() {
        return new INICIOS.INICIO();
    }

    /**
     * Create an instance of {@link TEMATICAS.TEMATICA }
     * 
     */
    public TEMATICAS.TEMATICA createTEMATICASTEMATICA() {
        return new TEMATICAS.TEMATICA();
    }

    /**
     * Create an instance of {@link DOCUMENTOSCATALOGO.DOCUMENTOCATALOGO }
     * 
     */
    public DOCUMENTOSCATALOGO.DOCUMENTOCATALOGO createDOCUMENTOSCATALOGODOCUMENTOCATALOGO() {
        return new DOCUMENTOSCATALOGO.DOCUMENTOCATALOGO();
    }

    /**
     * Create an instance of {@link PERFILES.PERFIL }
     * 
     */
    public PERFILES.PERFIL createPERFILESPERFIL() {
        return new PERFILES.PERFIL();
    }

    /**
     * Create an instance of {@link SISTEMASIDENTIFICACION.SISTEMAIDENTIFICACION }
     * 
     */
    public SISTEMASIDENTIFICACION.SISTEMAIDENTIFICACION createSISTEMASIDENTIFICACIONSISTEMAIDENTIFICACION() {
        return new SISTEMASIDENTIFICACION.SISTEMAIDENTIFICACION();
    }

    /**
     * Create an instance of {@link VOLUMENESTRAMITACIONES.VOLUMENTRAMITACION }
     * 
     */
    public VOLUMENESTRAMITACIONES.VOLUMENTRAMITACION createVOLUMENESTRAMITACIONESVOLUMENTRAMITACION() {
        return new VOLUMENESTRAMITACIONES.VOLUMENTRAMITACION();
    }

    /**
     * Create an instance of {@link TRAMITESRELACIONADOS.TRAMITERELACIONADO }
     * 
     */
    public TRAMITESRELACIONADOS.TRAMITERELACIONADO createTRAMITESRELACIONADOSTRAMITERELACIONADO() {
        return new TRAMITESRELACIONADOS.TRAMITERELACIONADO();
    }

    /**
     * Create an instance of {@link MULTILINGUISMOS.MULTILINGUISMO }
     * 
     */
    public MULTILINGUISMOS.MULTILINGUISMO createMULTILINGUISMOSMULTILINGUISMO() {
        return new MULTILINGUISMOS.MULTILINGUISMO();
    }

    /**
     * Create an instance of {@link REDUCCIONES.REDUCCION }
     * 
     */
    public REDUCCIONES.REDUCCION createREDUCCIONESREDUCCION() {
        return new REDUCCIONES.REDUCCION();
    }

    /**
     * Create an instance of {@link PRESTACIONES.PRESTACION }
     * 
     */
    public PRESTACIONES.PRESTACION createPRESTACIONESPRESTACION() {
        return new PRESTACIONES.PRESTACION();
    }

    /**
     * Create an instance of {@link EnviaSIA.ACTUACIONES.ACTUACION }
     * 
     */
    public EnviaSIA.ACTUACIONES.ACTUACION createEnviaSIAACTUACIONESACTUACION() {
        return new EnviaSIA.ACTUACIONES.ACTUACION();
    }

}
