/* Copyright (C) 2012-13 MINHAP, Gobierno de España
   This program is licensed and may be used, modified and redistributed under the terms
   of the European Public License (EUPL), either version 1.1 or (at your
   option) any later version as soon as they are approved by the European Commission.
   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
   or implied. See the License for the specific language governing permissions and
   more details.
   You should have received a copy of the EUPL1.1 license
   along with this program; if not, you may find it at
   http://joinup.ec.europa.eu/software/page/eupl/licence-eupl */

package es.mpt.dsic.inside.configuration;

public final class ConstantsClave {

	public static final String SP_PROPERTIES = "clave.properties";

	public static final String SPANISH_SP_PROPERTIES = "spanishSp.properties";

	public static final String SP_QAALEVEL = "sp.qaalevel";

	public static final String SP_RETURN = "sp.return";

	public static final String PROVIDER_NAME = "provider.name";

	public static final String SP_SECTOR = "sp.sector";

	public static final String SP_APLICATION = "sp.aplication";

	public static final String ATTRIBUTE_NUMBER = "attribute.number";

	public static final String BUSINESS_ATTRIBUTE_NUMBER = "businessAttribute.number";

	public static final String LEGAL_ATTRIBUTE_NUMBER = "legalAttribute.number";

	public static final String SP_CONF = "SP";

	public static final String COUNTRY_URL_NUMBER = "country.url.number";

	public static final String COUNTRY_URL = "country.url";

	public static final String LOGOUT_RESPONSE_URL = "sp.logout.response.url";

	public static final String LOGOUT_CPEPS_URL = "cpeps.logout.url";

	// Constantes para el uso de clave
	public static final String PROPERTY_URL_CLAVE = "clave.service.url";
	public static final String PROPERTY_EXCLUDED_IDPLIST = "clave.service.excludedIdPList";
	public static final String PROPERTY_FORCED_IDP = "clave.service.forcedIdP";
	public static final String PROPERTY_IDENTIFICADOR = "attribute1.name";
	public static final String ATRIBUTO_EXCLUDED_IDPLIST = "excludedIdPList";
	public static final String ATRIBUTO_FORCED_IDP = "forcedIdP";
	public static final String ATRIBUTO_SAML_REQUEST = "SAMLRequest";
	public static final String ATRIBUTO_SAML_RESPONSE = "SAMLResponse";

}